# WARNING - Generated by {fusen} from dev/flat_prem_outils.Rmd: do not edit by hand


#' Recuperation des dimensions et du noms des variables d'un jeu de donnees
#'
#' @param df data.frame. 
#'
#' @return Une liste avec les dimensions et les noms
#' @export
#'
#' @examples
#' get_info_data(df = iris)
#' get_info_data(df = mtcars)
#' get_info_data(df = starwars_species)
get_info_data <- function(df){

  if (isFALSE(inherits(df, "data.frame"))) {
    stop("mydata is not a data frame")
  }
  
result <- list(dimension = dim(df),
     names = names(df))  
return(result)
}
